SysIdentify

Public Member Functions | Public Attributes | Properties | Private Attributes | List of all members
TcBode.TcBodeData Class Reference

Storage of one Bode diagram from Beckhoff TwinCAT tool More...

## Public Member Functions
| TcBodeData ()
| Constructor More...

## Public Attributes
int | ID
| Unique ID of curve set. If i_ID = -1, this value is uninitialized. More...
Collection< double > | Frequency
| Frequency axis More...
Collection< double > | CloseLoopGain
| Closed loop gain More...
Collection< double > | CloseLoopPhase
| Closed loop phase More...
Collection< double > | OpenLoopGain
| Open loop gain More...
Collection< double > | OpenLoopPhase
| Open loop phase More...
Collection< double > | ProcessGain
| Process gain More...
Collection< double > | ProcessPhase
| Process phase More...

## Properties
string | TcB_Title`[get, set]`
| Title More...
string | TcB_Name`[get, set]`
| Name More...
string | TcB_CycleTime`[get, set]`
| Cycle time More...
string | TcB_Mode`[get, set]`
| Mode More...
string | TcB_MeasureTime`[get, set]`
| Measure time More...
string | TcB_SignalAmplitudePosition`[get, set]`
| Amplitude position signal More...
string | TcB_SignalAmplitudeVelocity`[get, set]`
| Amplitude velocity signal More...
string | TcB_SignalAmplitudeTorque`[get, set]`
| Amplitude torque signal More...
string | TcB_BaseAmplitude`[get, set]`
| Base amplitude More...
string | TcB_TorqueOffset`[get, set]`
| Torque offset More...
string | TcB_BaseFrequency`[get, set]`
| Base frequency More...
string | TcB_DeadTime`[get, set]`
| Dead time More...
string | TcB_ProportionalGain`[get, set]`
| Proportional gain More...
string | TcB_IntegralTime`[get, set]`
| Integral time More...
string | TcB_MinFrequency`[get, set]`
| Min frequency More...
string | TcB_MaxFrequency`[get, set]`
| Max frequency More...
string | TcB_FrequencySteps`[get, set]`
| Frequency steps More...

## Private Attributes
string | iTitle
string | iName
string | iCycleTime
string | iMode
string | iMeasureTime
string | iSignalAmplitudePosition
string | iSignalAmplitudeVelocity
string | iSignalAmplitudeTorque
string | iBaseAmplitude
string | iTorqueOffset
string | iBaseFrequency
string | iDeadTime
string | iProportionalGain
string | iIntegralTime
string | iMinFrequency
string | iMaxFrequency
string | iFrequencySteps

## Detailed Description

Storage of one Bode diagram from Beckhoff TwinCAT tool

## Constructor & Destructor Documentation

## ◆ TcBodeData()

TcBode.TcBodeData.TcBodeData | ( |  | ) |

Constructor

## Member Data Documentation

## ◆ CloseLoopGain

Collection<double> TcBode.TcBodeData.CloseLoopGain

Closed loop gain

## ◆ CloseLoopPhase

Collection<double> TcBode.TcBodeData.CloseLoopPhase

Closed loop phase

## ◆ Frequency

Collection<double> TcBode.TcBodeData.Frequency

Frequency axis

## ◆ ID

int TcBode.TcBodeData.ID

Unique ID of curve set. If i_ID = -1, this value is uninitialized.

## ◆ OpenLoopGain

Collection<double> TcBode.TcBodeData.OpenLoopGain

Open loop gain

## ◆ OpenLoopPhase

Collection<double> TcBode.TcBodeData.OpenLoopPhase

Open loop phase

## ◆ ProcessGain

Collection<double> TcBode.TcBodeData.ProcessGain

Process gain

## ◆ ProcessPhase

Collection<double> TcBode.TcBodeData.ProcessPhase

Process phase

## Property Documentation

## ◆ TcB_BaseAmplitude

string TcBode.TcBodeData.TcB_BaseAmplitude
| get set

Base amplitude

## ◆ TcB_BaseFrequency

string TcBode.TcBodeData.TcB_BaseFrequency
| get set

Base frequency

## ◆ TcB_CycleTime

string TcBode.TcBodeData.TcB_CycleTime
| get set

Cycle time

## ◆ TcB_DeadTime

string TcBode.TcBodeData.TcB_DeadTime
| get set

Dead time

## ◆ TcB_FrequencySteps

string TcBode.TcBodeData.TcB_FrequencySteps
| get set

Frequency steps

## ◆ TcB_IntegralTime

string TcBode.TcBodeData.TcB_IntegralTime
| get set

Integral time

## ◆ TcB_MaxFrequency

string TcBode.TcBodeData.TcB_MaxFrequency
| get set

Max frequency

## ◆ TcB_MeasureTime

string TcBode.TcBodeData.TcB_MeasureTime
| get set

Measure time

## ◆ TcB_MinFrequency

string TcBode.TcBodeData.TcB_MinFrequency
| get set

Min frequency

## ◆ TcB_Mode

string TcBode.TcBodeData.TcB_Mode
| get set

Mode

## ◆ TcB_Name

string TcBode.TcBodeData.TcB_Name
| get set

Name

## ◆ TcB_ProportionalGain

string TcBode.TcBodeData.TcB_ProportionalGain
| get set

Proportional gain

## ◆ TcB_SignalAmplitudePosition

string TcBode.TcBodeData.TcB_SignalAmplitudePosition
| get set

Amplitude position signal

## ◆ TcB_SignalAmplitudeTorque

string TcBode.TcBodeData.TcB_SignalAmplitudeTorque
| get set

Amplitude torque signal

## ◆ TcB_SignalAmplitudeVelocity

string TcBode.TcBodeData.TcB_SignalAmplitudeVelocity
| get set

Amplitude velocity signal

## ◆ TcB_Title

string TcBode.TcBodeData.TcB_Title
| get set

Title

## ◆ TcB_TorqueOffset

string TcBode.TcBodeData.TcB_TorqueOffset
| get set

Torque offset

The documentation for this class was generated from the following file:

- C:/Users/matusa.BECKHOFF/Documents/Indentifikacia sustav/System Identification WPF/SysIdentifi/SysIdentifi/TwinCatBode.cs